import {getAction} from "@/api/manage/manage";
import {useMessage} from "@/hooks/web/useMessage";

export function useJeecgListMixin() {
  const createMessage = useMessage().createMessage;

  function searchQuery() {
    loadData(1);
    onClearSelected()
  }

  function loadData(arg) {
    if (!url.list) {
      createMessage.error("请设置url.list属性!")
      return
    }
    //加载数据 若传入参数1则加载第一页的内容
    if (arg === 1) {
      ipagination.current = 1;
    }
    var params = getQueryParams();//查询条件
    loading = true;
    getAction(url.list, params).then((res) => {
      if (res.success) {
        //update-begin---author:zhangyafei    Date:20201118  for：适配不分页的数据列表------------
        this.dataSource = res.result.records || res.result;
        if (res.result.total != 0) {
          this.ipagination.total = res.result.total;
        } else {
          this.ipagination.total = 0;
        }
        //update-end---author:zhangyafei    Date:20201118  for：适配不分页的数据列表------------
      }
      if (res.code === 510) {
        createMessage.warning(res.message)
      }
      this.loading = false;
    })
  }

  function onClearSelected() {
    selectedRowKeys = [];
    selectionRows = [];
  }

  return {
    searchQuery
  }
}
